Skip to main content
`Ctrl`+`K`

# PetscLogObjects

Determines whether objects are logged for the graphical viewer.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogObjects(PetscBool flag)

Not Collective

## Input Parameter

- flag - `PETSC_TRUE` if objects are to be logged

## Options Database Key

- -log_exclude_objects - (deprecated) Does nothing

- -log_include_objects - Turns on object logging

## Note

Logging of objects continues to consume more memory as the program runs. Long running programs should consider turning this feature off.

## See Also

Profiling, `PetscLogStagePush()`, `PetscLogStagePop()`, `PetscLogGetDefaultHandler()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages